Subject: Re: bug#35424: Gnome terminal doesn't keep current working directory in new tab/window

From: Efraim Flashner <[email-masked]>
Date: Tue, 23 Jul 2019 09:35:14 +0300

On Mon, Jul 22, 2019 at 09:09:13PM +0200, Ricardo Wurmus wrote:
> 
> Hi Ben,
> 
> >> Just minor thing, but on other systems I use, when you open subsequent
> >> Gnome Terminal tabs, the current working directory is maintained in the
> >> new tab. On my Guix System, new tabs start up back at /home/ben.
> >
> > I've found that sourcing vte.sh fixes the issue, and the working
> > directory is retained:
> >
> > `source /gnu/store/...-vte-0.52.2/etc/profile.d/vte.sh`
> 
> Interesting.  Is this file installed to /etc/profile.d/vte.sh on other
> systems?  Or is it otherwise sourced?
> 

I can only speak for my own system. I don't have gnome-terminal
installed, but I do have tilda which uses vte. My
~/.guix-profile/etc/profile.d/ only has bash_completion.sh.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted